This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 6750 - can't tell installer how to order my partitions
can't tell installer how to order my partitions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-05 08:11 EST by Jonathan Kamens
Modified: 2015-01-07 18:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-05 12:38:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 1999-11-05 08:11:29 EST
I have a 4Gb hard-drive with a 1Gb Windows NT partition at
the beginning of it.

I wanted to install RedHat 6.1 with a 16Mb boot partition
all the way at the end of the disk and then a 1Gb root
partition immediately preceding it.  I wanted to organize
the disk in this way so that if I decided to grow either the
NT or Linux partition later, there would be room to do so.

Neither the graphical nor the text installer would let me do
this.  Both of them reordered the partitions I specified to
suit their preferences.  Even when I attempted to create a
"filler" partition to move the / ad /boot partitions to the
end of the disk, the installer reordered the partitions to
put the / partition before the filler partition.

The partition tool in the installer should allow the user to
specify exactly where on the disk the partitions should go.
If this doesn't seem like a feature that will be of interest
to most users, then it should be hidden in an "advanced
mode" or something, but it should be there.
Comment 1 Jay Turner 1999-11-05 12:38:59 EST
The feature that you are looking for is called fdisk and it is
available by performing an expert-mode installation (just type
"expert" at the boot prompt)  Keep in mind that most (read that 99%)
of Intel machine will not boot from beyond 1024 cylinders on a drive,
therefore your plan to put /boot at the end of a 4G drive will not
work at all.  You are probably going to end up having to put the 16M
/boot partition at the beginning of the drive and then doing whatever
you want with the root and swap partitions.

Note You need to log in before you can comment on or make changes to this bug.